Index: dsp.c
===================================================================
RCS file: /usr/cvsroot/asterisk/dsp.c,v
retrieving revision 1.31
diff -u -r1.31 dsp.c
--- dsp.c	15 Nov 2004 00:48:36 -0000	1.31
+++ dsp.c	16 Nov 2004 01:56:03 -0000
@@ -46,9 +46,11 @@
 /* Number of goertzels for progress detect */
 #define GSAMP_SIZE_NA 183			/* North America - 350, 440, 480, 620, 950, 1400, 1800 Hz */
 #define GSAMP_SIZE_CR 188			/* Costa Rica - Only care about 425 Hz */
+#define GSAMP_SIZE_BR 188			/* Brazil - Only care about 425 Hz */
 
 #define PROG_MODE_NA		0
 #define PROG_MODE_CR		1	
+#define PROG_MODE_BR		2
 
 /* For US modes */
 #define HZ_350  0
@@ -59,7 +61,7 @@
 #define HZ_1400 5
 #define HZ_1800 6
 
-/* For CR modes */
+/* For CR/BR modes */
 #define HZ_425	0
 
 static struct progalias {
@@ -69,6 +71,7 @@
 	{ "us", PROG_MODE_NA },
 	{ "ca", PROG_MODE_NA },
 	{ "cr", PROG_MODE_CR },
+	{ "br", PROG_MODE_BR },
 };
 
 static struct progress {
@@ -77,6 +80,7 @@
 } modes[] = {
 	{ GSAMP_SIZE_NA, { 350, 440, 480, 620, 950, 1400, 1800 } },	/* North America */
 	{ GSAMP_SIZE_CR, { 425 } },
+	{ GSAMP_SIZE_BR, { 425 } },
 };
 
 #define DEFAULT_THRESHOLD 512
@@ -1161,6 +1165,7 @@
 					newstate = TONE_STATE_SILENCE;
 				break;
 			case PROG_MODE_CR:
+			case PROG_MODE_BR:
 				if (hz[HZ_425] > TONE_MIN_THRESH * TONE_THRESH) {
 					newstate = TONE_STATE_RINGING;
 				} else if (dsp->genergy > TONE_MIN_THRESH * TONE_THRESH) {
